--dofile( "data/scripts/lib/utilities.lua" )
table.insert( actions,
{
	id = 					"CHAOS_TRAIL",
	name = 					"Chaos Trail",
	description = 			"Creates a random trail every time",
	sprite = 				"mods/ChaosTrail/files/actions/chaos_trail.png",
	type = 					ACTION_TYPE_MODIFIER,
	spawn_level = 			"0,1,2,3",
	spawn_probablility = 	"1,1,1,1",
	price = 				150,
	mana = 					20,
	action = function()
		local h_trails = { "lava", "fire", "acid", "radioactive_liquid", "magic_liquid_polymorph", "magic_liquid_random_polymorph", }
		local n_trails = { "oil", "slime", "sand", "alcohol", "snow", "blood_fungi", "burning_powder", }
		local b_trails = { "blood", "blood_worm", "magic_liquid_teleportation",  "magic_liquid_berserk", "magic_liquid_charm", "magic_liquid_invisibility", }
		local trail = "air"

		local chance = Random(1, 10)
		if (chance < 4) then -- harmful
			trail = h_trails[Random(1, #h_trails)]
		elseif (chance < 2) then -- neutral
			trail = n_trails[Random(1, #n_trails)]
		elseif (chance < 1) then -- beneficial
			trail = b_trails[Random(1, #b_trails)]
		else -- misfire, electrically
			c.lightning_count = c.lightning_count + 1
			c.damage_electricity_add = c.damage_electricity_add + 0.1
			c.extra_entities = c.extra_entities .. "data/entities/particles/electricity.xml,"
		end
		c.trail_material = c.trail_material .. trail .. ","
		c.trail_material_amount = c.trail_material_amount + 15

		c.fire_rate_wait = c.fire_rate_wait + 8
		current_reload_time = current_reload_time + 8
		draw_actions( 1, true )
	end,
})